package cn.com.qmth.sdk.test;

import cn.com.qmth.sdk.request.OuterQueryScoreListReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;
import org.apache.commons.io.IOUtils;

public class QueryScoreList {

    public static void main(String[] args) {
        OuterQueryScoreListReq req = new OuterQueryScoreListReq();
        req.setRootOrgId(QmthUtil.getRootOrgId());
        // req.setExamCode("ldy网络考试2020001");
        req.setExamName("ldy网络考试2020001");
        req.setCourseCode("03013750");
        req.setQueryStartTime("2020-02-06 13:55:42");
        req.setQueryEndTime("2020-02-06 13:55:42");
        req.setPageNo(1);
        req.setPageSize(10);

        String url = QmthUtil.buildUrl("/api/exchange/outer/score/queryScoreList");
        Response resp = null;
        try {
            resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(), JsonUtil.toJson(req));
            System.out.println(resp.code());
            System.out.println(resp.body().string());
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            IOUtils.closeQuietly(resp);
        }
    }

}